Subject: bug#56532: 27.2; Ido C-f in read-file-name inserts twice the initial name

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Jul 2022 20:19:41 +0200

Eli Zaretskii <[email-masked]> writes:

>> I can easily reproduce it in emacs -Q yes by simply evaluating the 
>> following config:
>> 
>> (setq ido-everywhere t)
>> (ido-mode)
>> ;; Stop changing directory when openning a file that does not exist!
>> (setq ido-auto-merge-work-directories-length -1)
>> 
>> (read-file-name  "Picture name:" "/tmp/" nil nil "defaultname.png")

Thanks; with that I can reproduce the problem.

> It looks like you aren't supposed to do that under Ido.  See
> ido-magic-forward-char.

It may not be supposed to work, but it'd be logical if it did, I think?
But I'm not that familiar with how ido does fallbacks (it seems to
involve some strange, brittle magic), so I don't know whether it's
possible or not.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no